> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream-5.0-Flash

> Seedream 5.0 Flash API 根据文本生成一张图像，或编辑 1 到 10 张参考图。分辨率为 1K、1.5K 或 2K。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

Seedream-5.0-Flash 可根据文本生成图像，或使用最多 10 张参考图编辑图像。每次请求生成一张图像。

## 模型

* **seedream-5.0-flash** - 文生图
* **seedream-5.0-flash-edit** - 使用 1–10 张参考图进行图像编辑

## 尺寸

`input.size` 控制输出宽高比。省略时系统使用 `1:1`：

* 比例预设：`1:1`、`4:3`、`3:4`、`16:9`、`9:16`、`2:3`、`3:2`、`21:9`

## 分辨率

`input.resolution` 控制输出分辨率。省略时系统使用 `1K`：

* 分辨率预设：`1K`、`1.5K`、`2K`

## 示例

使用统一提交接口：`POST /api/generate/submit`

文生图示例：

```bash theme={"dark"}
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedream-5.0-flash",
    "callback_url": "https://your-domain.com/callback",
    "input": {
      "prompt": "A colorful editorial poster for a neighborhood flower shop, with crisp typography and warm morning light",
      "size": "3:4",
      "resolution": "1.5K",
      "output_format": "png"
    }
  }'
```

编辑示例：

```bash theme={"dark"}
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedream-5.0-flash-edit",
    "input": {
      "prompt": "Place the product from the second image on the table in the first image, preserving its shape and label",
      "image_urls": [
        "https://example.com/table.jpg",
        "https://example.com/product.png"
      ],
      "size": "4:3",
      "resolution": "2K",
      "enable_safety_checker": true
    }
  }'
```


## OpenAPI

````yaml zh/api-manual/image-series/seedream-5-0-flash.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Seedream-5.0-Flash API
  description: Seedream 5.0 Flash API 根据文本生成一张图像，或基于 1 到 10 张参考图进行编辑。分辨率为 1K、1.5K 或 2K。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Seedream-5.0-Flash
      summary: 提交 Seedream-5.0-Flash 生成任务
      description: 文生图与参考图编辑，支持宽高比和分辨率控制
      operationId: submitSeedream50FlashTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              seedream-5-0-flash:
                summary: 文生图
                value:
                  model: seedream-5.0-flash
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A colorful editorial poster for a neighborhood flower
                      shop, with crisp typography and warm morning light
                    size: '3:4'
                    resolution: 1.5K
                    output_format: png
              seedream-5-0-flash-edit:
                summary: 参考图编辑
                value:
                  model: seedream-5.0-flash-edit
                  input:
                    prompt: >-
                      Place the product from the second image on the table in
                      the first image, preserving its shape and label
                    image_urls:
                      - https://example.com/table.jpg
                      - https://example.com/product.png
                    size: '4:3'
                    resolution: 2K
                    enable_safety_checker: true
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: Seedream-5.0-Flash 模型标识符
          enum:
            - seedream-5.0-flash
            - seedream-5.0-flash-edit
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
          description: 生成或编辑的输入参数
          properties:
            prompt:
              type: string
              minLength: 1
              maxLength: 5000
              description: 描述期望输出的生成或编辑提示词
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 10
              description: 仅 seedream-5.0-flash-edit 必填；提供 1–10 个参考图 URL
            size:
              type: string
              description: 输出宽高比预设；省略时默认为 1:1
              enum:
                - '1:1'
                - '4:3'
                - '3:4'
                - '16:9'
                - '9:16'
                - '2:3'
                - '3:2'
                - '21:9'
              default: '1:1'
            resolution:
              type: string
              description: 输出分辨率预设；省略时默认为 1K
              enum:
                - 1K
                - 1.5K
                - 2K
              default: 1K
            output_format:
              type: string
              description: 输出图像格式
              enum:
                - jpeg
                - png
            enable_safety_checker:
              type: boolean
              description: 安全检查开关；省略时默认为 true
              default: true
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2026-10-08T10:30:00'
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.